part of '../object_reference.dart';

/// A [Ref] to an [Object] of type [T], of which you
/// can modify the value.
class MutableRef<T> extends Ref<T> {
  MutableRef(T value) : super(value);

  MutableRef.fromRef(Ref<T> ref) : super._internal(ref._ref);
}
